/* Global rules */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;

}

/* Container */
.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}

@media (min-width: 768px) {
    .container {
        max-width: 750px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 970px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1170px;
    }
}
 /* Header */
header{
    background-color: rgb(0 0 0 /70%) ;
    display: flex;
    margin-bottom: 50px;
    z-index: 2;
    color: white;
    border-radius: 15px;
}
.container .title{
    padding: 10px;
}
.title p{
    padding: 10px;
    text-align: center;
}


* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
}

body,
main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

body {
    background-image: url(../img/gradient-navy-blue-digital-grid-wallpaper.jpg);
    background-position:center;
    background-size: cover;
    min-height: 100vh;
}
body::before{
    content: "";
    position: absolute;
    left: 0%;
    top: 0%;
    width: 100%;
    height: 100%;
    background-color: 	rgb(0 0 0 /70%);
}

main {
    background-image: linear-gradient(
    180deg,
    #594de0,
    #2ee5c6,
    rgb(110, 110, 110)
    );
    padding: 120px 100px;
    border-radius: 10px;
    z-index: 3;
    position: relative;
}
main h2{
    position: absolute;
    top: 60px;
}

#select-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

select {
    margin: 10px 20px;
    padding: 7px 15px;
    outline: none;
}

input {
    background-color: #fff;
    min-width: 350px;
    margin: 15px;
    padding: 15px;
    border: none;
    border-radius: 8px;
    outline: none;
    transition: 0.5s;
}

input:focus {
    box-shadow: 0px 6px 10px 1px rgba(0, 0, 0, 0.5);
}

#convert-button {
    padding: 7px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s transform;
}
.calc{
    background-color: rgb(0 0 0 /20%);
    padding: 30px;
    border-radius: 10px;
    margin-top: 20px;
}
table tr, td, th{
    background-color: rgba(255, 255, 255, 0.5);
    padding: 5px 15px;
    height: 30px;
}
#convert-button:active {
    transform: scale(0.9);
}

#input-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#error {
    display: none;
    color: #f00;
    font-size: small;
    margin: 0 0 10px 30px;
    text-align: start;
}

#written-by-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 2px solid #000;
    border-radius: 10px;
    padding: 1rem;
    margin-top: 5px;
}

#written-by-container a {
    color: #000;
}

.info{
    color: #f00;
    padding: 20px 0 0 20px;
    font-weight: bold;
    font-size: small;
}

#downloadBtn {
    display: inline-block;
    padding: 10px 20px;
    background-color: #594de0;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.downl{
    padding: 10px 0 0 15px;
    margin-bottom: 15px;
}
